﻿using System.ComponentModel;

namespace Models
{
    public abstract class ObservableModel : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

        protected void RaisePropertyChanged(object sender, PropertyChangedEventArgs e)
        {
            PropertyChangedEventHandler handler = this.PropertyChanged;
            if (handler != null)
                handler(sender, e);
        }

        protected void RaisePropertyChanged(string propertyName)
        {
            RaisePropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
